glab(1)

NAME
glab-mr-merge - Merge or accept a merge request.

SYNOPSIS
glab mr merge { | } [flags]

DESCRIPTION
Merge or accept a merge request.

OPTIONS
--auto-merge[=true]
    Set auto-merge.

-m, --message=""
    Custom merge commit message.

-r, --rebase[=false]
    Rebase the commits onto the base branch.

-d, --remove-source-branch[=false]
    Remove source branch on merge.

--sha=""
    Merge commit SHA.

-s, --squash[=false]
    Squash commits on merge.

--squash-message=""
    Custom squash commit message.

-y, --yes[=false]
    Skip submission confirmation prompt.

OPTIONS INHERITED FROM PARENT COMMANDS
--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    $ glab mr merge 235
    $ glab mr accept 235

    # Finds open merge request from current branch
    $ glab mr merge

SEE ALSO
glab-mr(1)